package hamster.kalah;

/**
 * Hilfsklasse der Klasse StrategieHamster, die einen bewerteten Spielzug
 * repraesentiert
 * 
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (29.01.2006)
 * 
 */
class WertSpielzug extends Spielzug {

	private int wert; // Wert eines Spielzugs

	/**
	 * Initialisierung eines Spielzuges mit einer Muldenummer und einem Wert
	 * fuer den Spielzug
	 * 
	 * @param muldeNummer
	 *            die Muldennummer, die den Spielzug repraesentiert
	 * @param wert
	 *            der Wert des Spielzugs
	 */
	WertSpielzug(int muldeNummer, int wert) {
		super(muldeNummer);
		this.wert = wert;
	}

	/**
	 * liefert den Wert des Spielzugs
	 * 
	 * @return Wert des Spielzugs
	 */
	int getWert() {
		return this.wert;
	}
}
